import numpy
from tvb.simulator.models.jansen_rit import JansenRit


class JRRate(JansenRit):
    # use firing rates to coupling nodes instead of y1-y2
    cvar = numpy.array([0], dtype=numpy.int32)

    # record trace of afferent coupling
    ctrace = []
    def dfun(self, y, c, local_coupling=0.0):
        self.ctrace.append(c.copy())
        return super().dfun(y, c, local_coupling)
